Index: /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -48,5 +48,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -59,5 +59,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $objNews = new SC_Helper_News_Ex();
@@ -105,8 +105,8 @@
      * 新着情報パラメーター初期化
      *
-     * @param array $objFormParam フォームパラメータークラス
+     * @param  array $objFormParam フォームパラメータークラス
      * @return void
      */
-    function lfInitNewsParam(&$objFormParam)
+    public function lfInitNewsParam(&$objFormParam)
     {
         $objFormParam->addParam('現在ページ', 'pageno', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'), '', false);
@@ -120,5 +120,5 @@
      * @return array $arrNewsList 新着情報の配列を返す
      */
-    function lfGetNews($dispNumber, $pageNo, SC_Helper_News_Ex $objNews)
+    public function lfGetNews($dispNumber, $pageNo, SC_Helper_News_Ex $objNews)
     {
         $arrNewsList = $objNews->getList($dispNumber, $pageNo);
@@ -143,9 +143,9 @@
      * (ページと表示件数を指定)
      *
-     * @param array $arrData フォーム入力値
-     * @param object $objNews
+     * @param  array  $arrData フォーム入力値
+     * @param  object $objNews
      * @return String $json 新着情報のJSONを返す
      */
-    function lfGetNewsForJson($arrData, SC_Helper_News_Ex $objNews)
+    public function lfGetNewsForJson($arrData, SC_Helper_News_Ex $objNews)
     {
         $dispNumber = $arrData['disp_number'];
@@ -166,9 +166,9 @@
      * (news_idを指定)
      *
-     * @param array $arrData フォーム入力値
-     * @param object $objNews
+     * @param  array  $arrData フォーム入力値
+     * @param  object $objNews
      * @return String $json 新着情報1件分のJSONを返す
      */
-    function lfGetNewsDetailForJson($arrData)
+    public function lfGetNewsDetailForJson($arrData)
     {
         $arrNewsList = SC_Helper_News_Ex::getNews($arrData['news_id']);
@@ -181,8 +181,8 @@
      * エラーメッセージを整形し, JSON 形式で返す.
      *
-     * @param array $arrErr エラーメッセージの配列
+     * @param  array  $arrErr エラーメッセージの配列
      * @return string JSON 形式のエラーメッセージ
      */
-    function lfGetErrors($arrErr)
+    public function lfGetErrors($arrErr)
     {
         $messages = '';
Index: /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php	(revision 23124)
@@ -40,5 +40,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -50,5 +50,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -61,5 +61,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         // モバイル判定
@@ -82,8 +82,8 @@
      * 選択中のカテゴリIDを取得する.
      *
-     * @param array $arrRequest リクエスト配列
+     * @param  array $arrRequest リクエスト配列
      * @return array $arrCategoryId 選択中のカテゴリID
      */
-    function lfGetSelectedCategoryId($arrRequest)
+    public function lfGetSelectedCategoryId($arrRequest)
     {
             // 商品ID取得
@@ -110,9 +110,9 @@
      * カテゴリツリーの取得.
      *
-     * @param array $arrParentCategoryId 親カテゴリの配列
-     * @param boolean $count_check 登録商品数をチェックする場合はtrue
-     * @return array $arrRet カテゴリツリーの配列を返す
+     * @param  array   $arrParentCategoryId 親カテゴリの配列
+     * @param  boolean $count_check         登録商品数をチェックする場合はtrue
+     * @return array   $arrRet カテゴリツリーの配列を返す
      */
-    function lfGetCatTree($arrParentCategoryId, $count_check = false)
+    public function lfGetCatTree($arrParentCategoryId, $count_check = false)
     {
         $objCategory = new SC_Helper_Category_Ex($count_check);
@@ -132,8 +132,8 @@
      * メインカテゴリの取得.
      *
-     * @param boolean $count_check 登録商品数をチェックする場合はtrue
-     * @return array $arrMainCat メインカテゴリの配列を返す
+     * @param  boolean $count_check 登録商品数をチェックする場合はtrue
+     * @return array   $arrMainCat メインカテゴリの配列を返す
      */
-    function lfGetMainCat($count_check = false)
+    public function lfGetMainCat($count_check = false)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
Index: /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php	(revision 22963)
+++ /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         // 開始時刻を設定する。
@@ -61,8 +61,8 @@
      * ブロックファイルに応じて tpl_mainpage を設定する
      *
-     * @param string $bloc_file ブロックファイル名
+     * @param  string $bloc_file ブロックファイル名
      * @return void
      */
-    function setTplMainpage($bloc_file)
+    public function setTplMainpage($bloc_file)
     {
         if (SC_Utils_Ex::isAbsoluteRealPath($bloc_file)) {
@@ -80,5 +80,5 @@
      * @return void
      */
-    function __destruct()
+    public function __destruct()
     {
         // 親がリクエスト単位を意図した処理なので、断絶する。
Index: /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_LoginHeader.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_LoginHeader.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_LoginHeader.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -48,5 +48,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -59,5 +59,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         parent::action();
Index: /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_NaviHeader.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_NaviHeader.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_NaviHeader.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -50,5 +50,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -61,5 +61,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         parent::action();
@@ -76,10 +76,10 @@
      * カートの情報を取得する
      *
-     * @param SC_CartSession $objCart カートセッション管理クラス
-     * @param Array $arrInfo 基本情報配列
-     * @param Array $cartKeys 商品種類配列
-     * @return array $arrCartList カートデータ配列
+     * @param  SC_CartSession $objCart  カートセッション管理クラス
+     * @param  Array          $arrInfo  基本情報配列
+     * @param  Array          $cartKeys 商品種類配列
+     * @return array          $arrCartList カートデータ配列
      */
-    function lfGetCartData($objCart, $arrInfo, $cartKeys)
+    public function lfGetCartData($objCart, $arrInfo, $cartKeys)
     {
         $cartList = array();
Index: /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_LoginFooter.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_LoginFooter.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_LoginFooter.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -48,5 +48,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -59,5 +59,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         parent::action();
Index: /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -51,5 +51,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -62,5 +62,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $objCustomer = new SC_Customer_Ex();
@@ -96,5 +96,5 @@
      * @return boolean
      */
-    function lfCheckDisableLogout()
+    public function lfCheckDisableLogout()
     {
         $masterData = new SC_DB_MasterData_Ex();
Index: /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php	(revision 23124)
@@ -39,5 +39,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -49,5 +49,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -60,5 +60,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         // カレンダーデータ取得
@@ -69,8 +69,8 @@
      * カレンダー情報取得.
      *
-     * @param integer $disp_month 表示する月数
-     * @return array カレンダー情報の配列を返す
+     * @param  integer $disp_month 表示する月数
+     * @return array   カレンダー情報の配列を返す
      */
-    function lfGetCalendar($disp_month = 1)
+    public function lfGetCalendar($disp_month = 1)
     {
         $objDate = new SC_Date_Ex();
Index: /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -50,5 +50,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -61,5 +61,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $objCart = new SC_CartSession_Ex();
@@ -73,8 +73,8 @@
      * カートの情報を取得する
      *
-     * @param SC_CartSession $objCart カートセッション管理クラス
-     * @return array カートデータ配列
+     * @param  SC_CartSession $objCart カートセッション管理クラス
+     * @return array          カートデータ配列
      */
-    function lfGetCartData(&$objCart)
+    public function lfGetCartData(&$objCart)
     {
         $arrCartKeys = $objCart->getKeys();
Index: /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Recommend.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Recommend.php	(revision 23118)
+++ /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Recommend.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -48,5 +48,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -59,5 +59,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         // 基本情報を渡す
@@ -74,5 +74,5 @@
      * @return array $arrBestProducts 検索結果配列
      */
-    function lfGetRanking()
+    public function lfGetRanking()
     {
         $objRecommend = new SC_Helper_BestProducts_Ex();
Index: /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -48,5 +48,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -59,5 +59,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         // 商品ID取得
@@ -82,5 +82,5 @@
      * @return string $product_id 商品ID
      */
-    function lfGetProductId()
+    public function lfGetProductId()
     {
         $product_id = '';
@@ -97,5 +97,5 @@
      * @return string $category_id カテゴリID
      */
-    function lfGetCategoryId()
+    public function lfGetCategoryId()
     {
         $category_id = '';
@@ -112,5 +112,5 @@
      * @return string $maker_id メーカーID
      */
-    function lfGetMakerId()
+    public function lfGetMakerId()
     {
         $maker_id = '';
@@ -127,5 +127,5 @@
      * @return array $arrCategoryId 選択中のカテゴリID
      */
-    function lfGetSelectedCategoryId($product_id, $category_id)
+    public function lfGetSelectedCategoryId($product_id, $category_id)
     {
         // 選択中のカテゴリIDを判定する
@@ -141,5 +141,5 @@
      * @return array $arrMakerId 選択中のメーカーID
      */
-    function lfGetSelectedMakerId($product_id, $maker_id)
+    public function lfGetSelectedMakerId($product_id, $maker_id)
     {
         // 選択中のメーカーIDを判定する
@@ -155,5 +155,5 @@
      * @return array $arrCategoryList カテゴリ検索用選択リスト
      */
-    function lfGetCategoryList()
+    public function lfGetCategoryList()
     {
         $objDb = new SC_Helper_DB_Ex();
@@ -176,5 +176,5 @@
      * @return array $arrMakerList メーカー検索用選択リスト
      */
-    function lfGetMakerList()
+    public function lfGetMakerList()
     {
         $objDb = new SC_Helper_DB_Ex();
Index: /branches/version-2_13-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php	(revision 23057)
+++ /branches/version-2_13-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php	(revision 23124)
@@ -40,5 +40,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         $this->skip_load_page_layout = true;
@@ -51,5 +51,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -62,5 +62,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         //決済処理中ステータスのロールバック
@@ -69,5 +69,5 @@
         $objPurchase->checkDbMyPendignOrder();
         $objPurchase->checkDbAllPendingOrder();
-		
+
         // 会員管理クラス
         $objCustomer = new SC_Customer_Ex();
@@ -208,8 +208,8 @@
      * パラメーター情報の初期化.
      *
-     * @param SC_FormParam $objFormParam パラメーター管理クラス
-     * @return void
-     */
-    function lfInitParam(&$objFormParam)
+     * @param  SC_FormParam $objFormParam パラメーター管理クラス
+     * @return void
+     */
+    public function lfInitParam(&$objFormParam)
     {
         $objFormParam->addParam('記憶する', 'login_memory', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
@@ -228,5 +228,5 @@
      * @see LC_PageError
      */
-    function lfGetErrorMessage($error)
+    public function lfGetErrorMessage($error)
     {
         switch ($error) {
Index: /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_Search.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_Search.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_Search.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -48,5 +48,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -60,5 +60,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
     }
Index: /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_CategoryList.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_CategoryList.php	(revision 23015)
+++ /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_CategoryList.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -48,5 +48,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -59,5 +59,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $objFormParam = $this->lfInitParam($_REQUEST);
@@ -77,7 +77,7 @@
 
     /* カテゴリIDの正当性チェック */
-    function lfCheckCategoryId($category_id)
+    public function lfCheckCategoryId($category_id)
     {
-        if ($category_id && !SC_Helper_DB_Ex::sfIsRecord('dtb_category', 'category_id', (array)$category_id, 'del_flg = 0')) {
+        if ($category_id && !SC_Helper_DB_Ex::sfIsRecord('dtb_category', 'category_id', (array) $category_id, 'del_flg = 0')) {
             return 0;
         }
@@ -90,9 +90,9 @@
      * ページオブジェクトに格納する。
      *
-     * @param string $category_id カテゴリID
-     * @param boolean $count_check 有効な商品がないカテゴリを除くかどうか
+     * @param  string  $category_id カテゴリID
+     * @param  boolean $count_check 有効な商品がないカテゴリを除くかどうか
      * @return void
      */
-    function lfGetCategories($category_id, $count_check = false)
+    public function lfGetCategories($category_id, $count_check = false)
     {
         $arrCategory = null;    // 選択されたカテゴリ
@@ -143,5 +143,5 @@
      * @return object
      */
-    function lfInitParam($arrRequest)
+    public function lfInitParam($arrRequest)
     {
         $objFormParam = new SC_FormParam_Ex();
Index: /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_ReviewComplete.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_ReviewComplete.php	(revision 23083)
+++ /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_ReviewComplete.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -48,5 +48,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -60,5 +60,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $this->setTemplate('products/review_complete.tpl');
Index: /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 23066)
+++ /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 23124)
@@ -34,26 +34,26 @@
 {
     /** テンプレートクラス名1 */
-    var $tpl_class_name1 = array();
+    public $tpl_class_name1 = array();
 
     /** テンプレートクラス名2 */
-    var $tpl_class_name2 = array();
+    public $tpl_class_name2 = array();
 
     /** JavaScript テンプレート */
-    var $tpl_javascript;
-
-    var $orderby;
-
-    var $mode;
+    public $tpl_javascript;
+
+    public $orderby;
+
+    public $mode;
 
     /** 検索条件(内部データ) */
-    var $arrSearchData = array();
+    public $arrSearchData = array();
 
     /** 検索条件(表示用) */
-    var $arrSearch = array();
-
-    var $tpl_subtitle = '';
+    public $arrSearch = array();
+
+    public $tpl_subtitle = '';
 
     /** ランダム文字列 **/
-    var $tpl_rnd = '';
+    public $tpl_rnd = '';
 
     /**
@@ -62,5 +62,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -78,5 +78,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -90,5 +90,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         //決済処理中ステータスのロールバック
@@ -97,5 +97,5 @@
         $objPurchase->checkDbMyPendignOrder();
         $objPurchase->checkDbAllPendingOrder();
-		
+
         $objProduct = new SC_Product_Ex();
         // パラメーター管理クラス
@@ -163,8 +163,8 @@
      * パラメーター情報の初期化
      *
-     * @param array $objFormParam フォームパラメータークラス
-     * @return void
-     */
-    function lfInitParam(&$objFormParam)
+     * @param  array $objFormParam フォームパラメータークラス
+     * @return void
+     */
+    public function lfInitParam(&$objFormParam)
     {
         // 抽出条件
@@ -189,5 +189,5 @@
      * @return integer カテゴリID
      */
-    function lfGetCategoryId($category_id)
+    public function lfGetCategoryId($category_id)
     {
         // 指定なしの場合、0 を返す
@@ -197,5 +197,5 @@
         if (!SC_Utils_Ex::sfIsInt($category_id)
             || SC_Utils_Ex::sfIsZeroFilling($category_id)
-            || !SC_Helper_DB_Ex::sfIsRecord('dtb_category', 'category_id', (array)$category_id, 'del_flg = 0')
+            || !SC_Helper_DB_Ex::sfIsRecord('dtb_category', 'category_id', (array) $category_id, 'del_flg = 0')
             ) {
             SC_Utils_Ex::sfDispSiteError(CATEGORY_NOT_FOUND);
@@ -213,5 +213,5 @@
 
     /* 商品一覧の表示 */
-    function lfGetProductsList($searchCondition, $disp_number, $startno, &$objProduct)
+    public function lfGetProductsList($searchCondition, $disp_number, $startno, &$objProduct)
     {
         $arrOrderVal = array();
@@ -272,5 +272,5 @@
 
     /* 入力内容のチェック */
-    function lfCheckError($objFormParam)
+    public function lfCheckError($objFormParam)
     {
         // 入力データを渡す。
@@ -295,5 +295,5 @@
      * @return void
      */
-    function lfGetDisplayNum($display_number)
+    public function lfGetDisplayNum($display_number)
     {
         // 表示件数
@@ -308,5 +308,5 @@
      * @return str
      */
-    function lfGetPageTitle($mode, $category_id = 0)
+    public function lfGetPageTitle($mode, $category_id = 0)
     {
         if ($mode == 'search') {
@@ -317,4 +317,5 @@
             $objCategory = new SC_Helper_Category_Ex();
             $arrCat = $objCategory->get($category_id);
+
             return $arrCat['category_name'];
         }
@@ -326,5 +327,5 @@
      * @return array
      */
-    function lfGetSearchConditionDisp($arrSearchData)
+    public function lfGetSearchConditionDisp($arrSearchData)
     {
         $objQuery   =& SC_Query_Ex::getSingletonInstance();
@@ -355,5 +356,5 @@
      * @return int
      */
-    function lfGetProductAllNum($searchCondition)
+    public function lfGetProductAllNum($searchCondition)
     {
         // 検索結果対象となる商品の数を取得
@@ -370,5 +371,5 @@
      * @return array
      */
-    function lfGetSearchCondition($arrSearchData)
+    public function lfGetSearchCondition($arrSearchData)
     {
         $searchCondition = array(
@@ -430,5 +431,5 @@
      * @return str
      */
-    function lfSetSelectedData(&$arrProducts, $arrForm, $arrErr, $product_id)
+    public function lfSetSelectedData(&$arrProducts, $arrForm, $arrErr, $product_id)
     {
         $js_fnOnLoad = '';
@@ -453,5 +454,5 @@
      * @return void
      */
-    function lfAddCart($arrForm)
+    public function lfAddCart($arrForm)
     {
         $objCartSess = new SC_CartSession_Ex();
@@ -464,10 +465,10 @@
      * 商品情報配列に商品ステータス情報を追加する
      *
-     * @param Array $arrProducts 商品一覧情報
-     * @param Array $arrStatus 商品ステータス配列
-     * @param Array $arrStatusImage スタータス画像配列
+     * @param  Array $arrProducts    商品一覧情報
+     * @param  Array $arrStatus      商品ステータス配列
+     * @param  Array $arrStatusImage スタータス画像配列
      * @return Array $arrProducts 商品一覧情報
      */
-    function setStatusDataTo($arrProducts, $arrStatus, $arrStatusImage)
+    public function setStatusDataTo($arrProducts, $arrStatus, $arrStatusImage)
     {
         foreach ($arrProducts['productStatus'] as $product_id => $arrValues) {
@@ -492,5 +493,5 @@
      * @return void
      */
-    function doJson()
+    public function doJson()
     {
         $this->arrProducts = $this->setStatusDataTo($this->arrProducts, $this->arrSTATUS, $this->arrSTATUS_IMAGE);
@@ -508,8 +509,8 @@
     /**
      *
-     * @param type $objProduct
-     * @return void
-     */
-    function doDefault(&$objProduct, &$objFormParam)
+     * @param  type $objProduct
+     * @return void
+     */
+    public function doDefault(&$objProduct, &$objFormParam)
     {
         //商品一覧の表示処理
Index: /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_Review.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_Review.php	(revision 23083)
+++ /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_Review.php	(revision 23124)
@@ -34,11 +34,11 @@
 {
     /** おすすめレベル */
-    var $arrRECOMMEND;
+    public $arrRECOMMEND;
 
     /** 性別 */
-    var $arrSex;
+    public $arrSex;
 
     /** 入力禁止URL */
-    var $arrReviewDenyURL;
+    public $arrReviewDenyURL;
 
     /**
@@ -47,5 +47,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -62,5 +62,5 @@
      * Page のプロセス.
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -74,5 +74,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $objFormParam = new SC_FormParam_Ex();
@@ -128,8 +128,8 @@
      * パラメーター情報の初期化を行う.
      *
-     * @param SC_FormParam $objFormParam SC_FormParam インスタンス
+     * @param  SC_FormParam $objFormParam SC_FormParam インスタンス
      * @return void
      */
-    function lfInitParam(&$objFormParam)
+    public function lfInitParam(&$objFormParam)
     {
         $objFormParam->addParam('レビューID', 'review_id', INT_LEN, 'aKV');
@@ -146,8 +146,8 @@
      * 入力内容のチェックを行う.
      *
-     * @param SC_FormParam $objFormParam SC_FormParam インスタンス
-     * @return array エラーメッセージの配列
-     */
-    function lfCheckError(&$objFormParam)
+     * @param  SC_FormParam $objFormParam SC_FormParam インスタンス
+     * @return array        エラーメッセージの配列
+     */
+    public function lfCheckError(&$objFormParam)
     {
         $arrErr = $objFormParam->checkError();
@@ -175,8 +175,8 @@
      * 商品名を取得
      *
-     * @param integer $product_id 商品ID
-     * @return string $product_name 商品名
-     */
-    function lfGetProductName($product_id)
+     * @param  integer $product_id 商品ID
+     * @return string  $product_name 商品名
+     */
+    public function lfGetProductName($product_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -186,5 +186,5 @@
 
     //登録実行
-    function lfRegistRecommendData(&$objFormParam)
+    public function lfRegistRecommendData(&$objFormParam)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
